<!-- templates/user_info.html -->
{% extends "layout.html" %}

{% block title %}User Info{% endblock %}

{% block content %}
<div class="container">
    <h1 class="text-center mb-4">User Information</h1>
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card shadow-custom rounded-4">
                <div class="card-header text-center">Update User Details</div>
                <div class="card-body">
                    <form method="POST" action="">
                        
                        <div class="mb-3">
                            <label for="username" class="form-label">Username</label>
                            <input type="text" class="form-control" id="username" name="username" value="{{ user.name }}" readonly>
                        </div>
                        
                        <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control" id="email" name="email" value="{{ user.email }}" readonly>
                        </div>

                        <div class="mb-3">
                            <label for="age" class="form-label">Age</label>
                            <input type="number" class="form-control" id="age" name="age" value="{{ user.age }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="sex" class="form-label">Sex</label>
                            <input type="text" class="form-control" id="sex" name="sex" value="{{ user.sex }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="location" class="form-label">Location</label>
                            <input type="text" class="form-control" id="location" name="location" value="{{ user.location }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="relationship_status" class="form-label">Relationship Status</label>
                            <input type="text" class="form-control" id="relationship_status" name="relationship_status" value="{{ user.relationship_status }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="designation" class="form-label">Designation</label>
                            <input type="text" class="form-control" id="designation" name="designation" value="{{ user.designation }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="salary" class="form-label">Salary</label>
                            <input type="number" step="0.01" class="form-control" id="salary" name="salary" value="{{ user.salary }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="likes" class="form-label">Likes</label>
                            <input type="text" class="form-control" id="likes" name="likes" value="{{ user.likes }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="dislikes" class="form-label">Dislikes</label>
                            <input type="text" class="form-control" id="dislikes" name="dislikes" value="{{ user.dislikes }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="strengths" class="form-label">Strengths</label>
                            <input type="text" class="form-control" id="strengths" name="strengths" value="{{ user.strengths }}" required>
                        </div>

                        <div class="mb-3">
                            <label for="weaknesses" class="form-label">Weaknesses</label>
                            <input type="text" class="form-control" id="weaknesses" name="weaknesses" value="{{ user.weaknesses }}" required>
                        </div>

                        <div class="text-center">
                            <button type="submit" class="btn btn-primary">Update Information</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
